#include<bits/stdc++.h>
using namespace std;
long long x,z,g,f,e,i,c,d;
int main(){
cin>>x>>z;
c=0;
 while (x>0 or z>0){
    c=c*10;
    g=x%10;
    f=z%10;

if (x==0)
      c=c+f;
if (z==0)
      c=c+g;
else {
if (g>f)
    c=c+g;
else if (f>g)
    c=c+f;
    else {
    c=c+g;
     c=c*10;
     c=c+g;
}
}
 z=z/10;
 x=x/10;

 }
d=0;
i=0;
 while (c>0){
    d=d*10;
    i=c%10;
    c=c/10;
    d=d+i;

 }


cout<<d<<" ";
return 0;
}